Skip to main content

Endpoints

MethodPathDescription
GET/api/v2/groups?pageId={page_id}List groups on a page
POST/api/v2/groupsCreate groups
PATCH/api/v2/groups/{group_id}Update a group
DELETE/api/v2/groups/{group_id}?pageId={page_id}Delete a group and its blocks

List groups

GET /api/v2/groups?pageId={page_id}
curl "https://api.flowla.com/api/v2/groups?pageId=<page_id>" \
  -H "x-flowla-api-key: YOUR_API_KEY"

Create groups

POST /api/v2/groups Create one or more groups on a page in a single request.
pageId
string
required
The page to add groups to.
groups
array
required
Array of group objects.
Example
{
  "pageId": "<page_id>",
  "groups": [
    { "title": "Quick links" },
    { "title": "Resources" }
  ]
}
curl -X POST https://api.flowla.com/api/v2/groups \
  -H "x-flowla-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "pageId": "<page_id>",
    "groups": [{ "title": "Quick links" }]
  }'

Update a group

PATCH /api/v2/groups/{group_id}
pageId
string
required
The page the group belongs to.
title
string
New display title.
Example
{ "pageId": "<page_id>", "title": "Updated Group Title" }
curl -X PATCH https://api.flowla.com/api/v2/groups/<group_id> \
  -H "x-flowla-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"pageId": "<page_id>", "title": "Updated Group Title"}'

Delete a group

DELETE /api/v2/groups/{group_id}?pageId={page_id}
Deletes the group and all its blocks permanently. Any action-plan tasks inside the group are also deleted.
curl -X DELETE "https://api.flowla.com/api/v2/groups/<group_id>?pageId=<page_id>" \
  -H "x-flowla-api-key: YOUR_API_KEY"